Create a free digital business card, then share it by link, QR code, or NFC tap.

Payments

api_documentation.endpoint

GET https://zapped.to/api/payments/

Authentication

An API key with the billing:read scope (Read payments), sent as Authorization: Bearer YOUR_API_KEY.

api_documentation.example

curl --request GET \
--url 'https://zapped.to/api/payments/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
api_documentation.parameters Details Description
processor api_documentation.optional api_documentation.string api_documentation.allowed_values
status api_documentation.optional api_documentation.string api_documentation.allowed_values
type api_documentation.optional api_documentation.string api_documentation.allowed_values
frequency api_documentation.optional api_documentation.string api_documentation.allowed_values
datetime_field api_documentation.optional api_documentation.string api_documentation.allowed_values
datetime_start api_documentation.optional api_documentation.string api_documentation.filters.datetime_start
datetime_end api_documentation.optional api_documentation.string api_documentation.filters.datetime_end
order_by api_documentation.optional api_documentation.string api_documentation.filters.order_by
order_type api_documentation.optional api_documentation.string api_documentation.filters.order_by_type
page api_documentation.optional api_documentation.int api_documentation.filters.page
results_per_page api_documentation.optional api_documentation.int api_documentation.filters.results_per_page

api_documentation.response

{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-09-28 07:17:53"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://zapped.to/api/payments?page=1",
        "last": "https://zapped.to/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://zapped.to/api/payments?page=1"
    }
}

api_documentation.endpoint

GET https://zapped.to/api/payments/{payment_id}

Authentication

An API key with the billing:read scope (Read payments), sent as Authorization: Bearer YOUR_API_KEY.

api_documentation.example

curl --request GET \
--url 'https://zapped.to/api/payments/{payment_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \

api_documentation.response

{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "[email protected]",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-09-28 07:17:53"
    }
}